Index: /trunk/expressoAdmin1_2/inc/class.maillist.inc.php
===================================================================
--- /trunk/expressoAdmin1_2/inc/class.maillist.inc.php	(revision 414)
+++ /trunk/expressoAdmin1_2/inc/class.maillist.inc.php	(revision 422)
@@ -80,4 +80,5 @@
 			$maillist_info['loginShell']				= '/bin/false';
 			$maillist_info['mail']						= $params['mail'];
+			$maillist_info['description']				= $params['description'];
 			$maillist_info['objectClass'][0]			= 'posixAccount';
 			$maillist_info['objectClass'][1]			= 'inetOrgPerson';
@@ -180,4 +181,7 @@
 			}
 			
+			/* Always replace description */
+			$ldap_mod_replace['description'] = utf8_encode($new_values['description']);
+			
 			if (count($ldap_mod_replace))
 			{
Index: /trunk/expressoAdmin1_2/inc/class.uimaillists.inc.php
===================================================================
--- /trunk/expressoAdmin1_2/inc/class.uimaillists.inc.php	(revision 414)
+++ /trunk/expressoAdmin1_2/inc/class.uimaillists.inc.php	(revision 422)
@@ -298,4 +298,5 @@
 				'uid'							=> $maillist_info['uid'],
 				'mail'							=> $maillist_info['mail'],
+				'description'					=> $maillist_info['description'],
 				'cn'							=> $maillist_info['cn'],
 				'user_count'					=> $user_count,
Index: /trunk/expressoAdmin1_2/inc/class.ldap_functions.inc.php
===================================================================
--- /trunk/expressoAdmin1_2/inc/class.ldap_functions.inc.php	(revision 414)
+++ /trunk/expressoAdmin1_2/inc/class.ldap_functions.inc.php	(revision 422)
@@ -1137,5 +1137,4 @@
 	function get_maillist_info($uidnumber)
 	{
-		
 		/* folling referral connection */
 		$ldap_conn_following_ref = ldap_connect($_SESSION['phpgw_info']['expresso']['cc_ldap_server']['host']);
@@ -1170,4 +1169,5 @@
 				$result['cn']					= $entry[0]['cn'][0];
 				$result['mail']					= $entry[0]['mail'][0];
+				$result['description']			= utf8_decode($entry[0]['description'][0]);
 				$result['accountStatus']		= $entry[0]['accountstatus'][0];
 				$result['phpgwAccountVisible']	= $entry[0]['phpgwaccountvisible'][0];
@@ -1987,4 +1987,5 @@
 		$info['uid']				= $uid;
 		$info['mail']				= $params['mail'];
+		$info['description']		= utf8_encode($params['description']);
 		
 		if ($params['accountStatus'] == 'on')
@@ -2070,7 +2071,7 @@
 		
 		$uid = $params['uid'];
-		$justthese = array("accountStatus", "phpgwAccountVisible", "cn", "mail", "mailForwardingAddress");
-				
-    	$institutional_accounts = ldap_search($this->ldap, $GLOBALS['phpgw_info']['server']['ldap_context'], ("(&(phpgwAccountType=i)(uid=$uid))"), $justthese);
+		//$justthese = array("accountStatus", "phpgwAccountVisible", "cn", "mail", "mailForwardingAddress", "description");
+				
+    	$institutional_accounts = ldap_search($this->ldap, $GLOBALS['phpgw_info']['server']['ldap_context'], ("(&(phpgwAccountType=i)(uid=$uid))"));
     	$entrie = ldap_get_entries($this->ldap, $institutional_accounts);
 		
@@ -2092,4 +2093,5 @@
 			$return['cn']					= $entrie[0]['cn'][0];
 			$return['mail']					= $entrie[0]['mail'][0];
+			$return['description']			= utf8_decode($entrie[0]['description'][0]);
 
 			if ($entrie[0]['mailforwardingaddress']['count'] > 0)
Index: /trunk/expressoAdmin1_2/js/jscode/institutional_accounts.js
===================================================================
--- /trunk/expressoAdmin1_2/js/jscode/institutional_accounts.js	(revision 317)
+++ /trunk/expressoAdmin1_2/js/jscode/institutional_accounts.js	(revision 422)
@@ -240,7 +240,6 @@
 			
 			Element('cn').value = data.cn;
-			
 			Element('mail').value = data.mail;
-			
+			Element('description').value = data.description;
 			Element('ea_select_owners').innerHTML = data.owners;
 
Index: /trunk/expressoAdmin1_2/js/jscode/groups.js
===================================================================
--- /trunk/expressoAdmin1_2/js/jscode/groups.js	(revision 414)
+++ /trunk/expressoAdmin1_2/js/jscode/groups.js	(revision 422)
@@ -90,5 +90,5 @@
 		alert(data.msg);
 	else{
-		alert(get_lang('Group sucess created') + '.');
+		alert(get_lang('Group sucessful created') + '.');
 		location.href="./index.php?menuaction=expressoAdmin1_2.uigroups.list_groups";
 	}
@@ -107,5 +107,5 @@
 		alert(data.msg);
 	else{
-		alert(get_lang('Group sucess saved') + '.');
+		alert(get_lang('Group sucessful saved') + '.');
 		location.href="./index.php?menuaction=expressoAdmin1_2.uigroups.list_groups";
 	}
Index: /trunk/expressoAdmin1_2/js/jscode/maillists.js
===================================================================
--- /trunk/expressoAdmin1_2/js/jscode/maillists.js	(revision 414)
+++ /trunk/expressoAdmin1_2/js/jscode/maillists.js	(revision 422)
@@ -6,10 +6,10 @@
 
 	if (document.forms[0].uid.value == ''){
-		alert(get_lang('LOGIN field is empty') + '.');
+		alert(get_lang('login field is empty') + '.');
 		return;
 	}
 
 	if (document.forms[0].cn.value == ''){
-		alert(get_lang('NAME field is empty') + '.');
+		alert(get_lang('name field is empty') + '.');
 		return;
 	}
@@ -20,5 +20,5 @@
 		if ((uid_tmp.length < 3) || (uid_tmp[0] != 'lista')){
 			alert(
-				get_lang('LOGIN field is incomplete') + '.\n' +
+				get_lang('login field is incomplete') + '.\n' +
 				get_lang('the login field must be formed like') + ':\n' +
 				get_lang('list') + '-' + get_lang('organization') + '-' + get_lang('listname') + '.\n' +
@@ -95,5 +95,5 @@
 		alert(data.msg);
 	else{
-		alert(get_lang('Email list sucess created') + '.');
+		alert(get_lang('Email list sucessful created') + '.');
 		location.href="./index.php?menuaction=expressoAdmin1_2.uimaillists.list_maillists";
 	}
@@ -112,5 +112,5 @@
 		alert(data.msg);
 	else{
-		alert(get_lang('Email list sucess saved') + '.');
+		alert(get_lang('Email list sucessful saved') + '.');
 		location.href="./index.php?menuaction=expressoAdmin1_2.uimaillists.list_maillists";
 	}
@@ -137,5 +137,5 @@
 		alert(data.msg);
 	else
-		alert(get_lang('SCL sucess saved') + '.');
+		alert(get_lang('SCL sucessful saved') + '.');
 	location.href="./index.php?menuaction=expressoAdmin1_2.uimaillists.list_maillists";
 	return;
Index: /trunk/expressoAdmin1_2/js/jscode/users.js
===================================================================
--- /trunk/expressoAdmin1_2/js/jscode/users.js	(revision 414)
+++ /trunk/expressoAdmin1_2/js/jscode/users.js	(revision 422)
@@ -204,5 +204,5 @@
 		alert(data.msg);
 	else
-		alert(get_lang('User sucess created') + '.');
+		alert(get_lang('User sucessful created') + '.');
 
 	location.href="./index.php?menuaction=expressoAdmin1_2.uiaccounts.list_users";
@@ -223,5 +223,5 @@
 	}
 	else{
-		alert(get_lang('User sucess saved') + '.');
+		alert(get_lang('User sucessful saved') + '.');
 	}
 	location.href="./index.php?menuaction=expressoAdmin1_2.uiaccounts.list_users";
@@ -446,5 +446,5 @@
 			alert(data.msg);
 		else
-			alert(get_lang('Default password sucess saved') + '.');
+			alert(get_lang('Default password sucessful saved') + '.');
 		return;
 	}
@@ -459,5 +459,5 @@
 			alert(data.msg);
 		else
-			alert(get_lang('Users password sucess returned') + '.');
+			alert(get_lang('Users password sucessful returned') + '.');
 		return;
 	}
@@ -474,5 +474,5 @@
 				alert(data.msg);
 			else
-				alert(get_lang('User sucess deleted') + '.');
+				alert(get_lang('User sucessful deleted') + '.');
 			
 			location.href="./index.php?menuaction=expressoAdmin1_2.uiaccounts.list_users";
@@ -526,5 +526,5 @@
 		alert(data.msg);
 	else{
-		alert(get_lang('User login sucess renamed') + "\n" + data.exec_return);
+		alert(get_lang('User login sucessful renamed') + "\n" + data.exec_return);
 		location.href="./index.php?menuaction=expressoAdmin1_2.uiaccounts.list_users";
 	}
Index: /trunk/expressoAdmin1_2/templates/default/institutional_accounts_modal.tpl
===================================================================
--- /trunk/expressoAdmin1_2/templates/default/institutional_accounts_modal.tpl	(revision 317)
+++ /trunk/expressoAdmin1_2/templates/default/institutional_accounts_modal.tpl	(revision 422)
@@ -1,4 +1,4 @@
 <input type="hidden" id="{modal_id}_title" value="{lang_criation_of_institutional_accounts}">
-<input type="hidden" id="{modal_id}_height" value="483">
+<input type="hidden" id="{modal_id}_height" value="503">
 <input type="hidden" id="{modal_id}_width" value="930">
 <input type="hidden" id="{modal_id}_close_action" value="close_lightbox()">
@@ -24,4 +24,7 @@
 			{lang_mail}: <font color="blue">{lang_eg}: diser@celepar.pr.gov.br</font><br>
 			<input id="mail" name="mail" size="35" autocomplete="off"><br>
+
+			{lang_description}:<br>
+			<input id="description" name="description" size="60" autocomplete="off"><br>
 							
 			{lang_is_account_active}: <input type="checkbox" id="accountStatus" name="accountStatus" checked><br>
Index: /trunk/expressoAdmin1_2/templates/default/maillists_form.tpl
===================================================================
--- /trunk/expressoAdmin1_2/templates/default/maillists_form.tpl	(revision 414)
+++ /trunk/expressoAdmin1_2/templates/default/maillists_form.tpl	(revision 422)
@@ -39,5 +39,8 @@
 							<input name="cn" size="60" value="{cn}" autocomplete="off"><br>
 
-							{lang_e-mail_list_is_active}: <input type="checkbox" {accountStatus_checked} name="accountStatus"><br>
+							{lang_description}:<br>
+							<input name="description" size="60" value="{description}" autocomplete="off"><br>
+
+							{lang_email_list_is_active}: <input type="checkbox" {accountStatus_checked} name="accountStatus"><br>
 							{lang_do_not_show_this_e-mail_list}??: <input type="checkbox" {phpgwAccountVisible_checked} name="phpgwAccountVisible"><br>
 							