Index: /trunk/mobile/home.tpl
===================================================================
--- /trunk/mobile/home.tpl	(revision 435)
+++ /trunk/mobile/home.tpl	(revision 435)
@@ -0,0 +1,40 @@
+<!-- BEGIN mobile_header -->
+<html>
+<head>
+<meta http-equiv="Content-Language" content="en" />
+<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
+<!-- <LINK href="../phpgwapi/templates/{template_set}/css/{template_set}.css" type=text/css rel=StyleSheet> -->
+<LINK href="./templates/css/mobile.css" type=text/css rel=StyleSheet>
+<title>Expresso Mobile {lang_home}</title>
+</head>
+<body style="background-color:white !important">
+<p>&nbsp;&nbsp;<strong>{fullname}: [{account_lid}]</strong></p>
+<hr />
+<!-- END mobile_header -->
+
+<!-- BEGIN mobile_navbar -->
+<!-- TODO: Yep! Deveria ser flexível, não hardcoded do jeito que tá -->
+<p>&nbsp;&nbsp;<strong>Expresso Mini</strong> :: {agenda} :: {mobilemail} :: <a href="./login.php?cd=1">{lang_logout}</a></p>
+<hr />
+<!-- END mobile_navbar -->
+
+<!-- BEGIN agenda -->
+{begin_anchor}{lang_agenda}{end_anchor}
+<!-- END agenda -->
+
+<!-- BEGIN mobilemail -->
+{begin_anchor}{lang_email}{end_anchor}
+<!-- END mobilemail -->
+
+<!-- BEGIN begin_anchor -->
+<a href="{href}">
+<!-- END begin_anchor -->
+
+<!-- BEGIN end_anchor -->
+</a>
+<!-- END end_anchor -->
+
+<!-- BEGIN mobile_footer -->
+</body>
+</html>
+<!-- END mobile_footer -->
Index: /trunk/mobile/login.tpl
===================================================================
--- /trunk/mobile/login.tpl	(revision 435)
+++ /trunk/mobile/login.tpl	(revision 435)
@@ -0,0 +1,45 @@
+<HTML>
+<HEAD>
+<link href="../phpgwapi/templates/celepar/login.css" rel="stylesheet" type="text/css">
+<TITLE>{website_title} - {lang_login}</TITLE>
+</HEAD>
+<body scroll="no"  style="overflow:hidden" bgcolor="#ffffff">
+	<table border="0" height="100%" width="100%">
+		<tr>
+			<td align="center" valign="top">
+				<div align="center" class="msgInicial">{cd}<br>{lang_message}<br>{website_title}<br><br></div>
+		        	<table border="0" bordercolor="#cfcfcf" cellpadding="0" cellspacing="0" width="auto">
+			        	<tbody>
+						<form name="form_login" method="post" action="./login.php" autocomplete=off>
+						<tr>
+							<td align="center" bgcolor="#f7f7f7" style="border:1px solid black">
+								<table border="0" cellpadding="1" cellspacing="0" class="tableLogin">
+									<tr><td width="96" colspan="3">&nbsp;</td></tr>												
+								    <tr><td width="96" class="loginLabel" align="right">{lang_username}:&nbsp;</td>
+										<td width="96"><input name="login" size="15"></td>
+										<td width="43" rowspan="3" colspan=2>&nbsp;</td>
+									</tr>
+									<tr>
+										<td width="96" class="loginLabel"  align="right">{lang_password}:&nbsp;</td>
+										<td width="135"><input name="passwd" type="password" size="15"></td>
+									</tr>
+									<tr>
+										<td width="66">&nbsp;</td>
+										<td width="135">
+										  <input type="submit" value="{lang_login}" name="submitit" class="button">
+										</td>
+									</tr>
+								</table>              
+							</td>
+						</tr>
+						<input type="hidden" name="passwd_type" value="text">
+						<input type="hidden" name="account type" value="u">
+		              	</form>		          
+						</tbody>
+					</table>      
+				</div>
+			</td>		
+		</tr>
+	</table>
+</body>
+</html>
Index: /trunk/mobile/calendar.tpl
===================================================================
--- /trunk/mobile/calendar.tpl	(revision 435)
+++ /trunk/mobile/calendar.tpl	(revision 435)
@@ -0,0 +1,28 @@
+<!-- BEGIN view_event -->
+<font color="#000066"><b>{header_date}</b></font><br>
+<table bgcolor="#f7f7f7" style="border:1px solid black" border="1" width="20%">
+	<tr>
+		<td valign="top" width="10%">&nbsp;<b>{title_field}:</b></td>
+		<td  valign="top" nowrap>{title_data}</td>
+	</tr>
+	<tr>
+		<td valign="top" width="10%" nowrap>&nbsp;<b>{location_field}:</b></td>
+		<td  valign="top" nowrap>{location_data}</td>
+	</tr>
+	<tr>
+		<td valign="top" width="10%" nowrap>&nbsp;<b>{startdate_field}:</b></td>
+		<td  valign="top" nowrap>{startdate_data}</td>
+	</tr>
+	<tr>
+		<td valign="top" width="10%" nowrap>&nbsp;<b>{enddate_field}:</b></td>
+		<td  valign="top" nowrap>{enddate_data}</td>
+	</tr>
+	<tr>
+		<td valign="top" width="10%" nowrap>&nbsp;<b>{description_field}:</b></td>
+		<td  valign="top" >{description_data}</td>
+	</tr>
+	</table><br>
+<!-- END view_event -->
+<!-- BEGIN no_event -->
+	<br>Na semana de <b>{start_date}</b> à <b>{end_date}</b> você não possui nenhum compromisso agendado.
+<!-- END no_event -->
Index: /trunk/mobile/mobilemail.tpl
===================================================================
--- /trunk/mobile/mobilemail.tpl	(revision 435)
+++ /trunk/mobile/mobilemail.tpl	(revision 435)
@@ -0,0 +1,68 @@
+<!-- BEGIN folder_list -->
+<form id="folders_list_form" method="get" action="/naoseiainda.php">
+<!-- Adicionar Label antes e um botão após -->
+	<p>&nbsp;&nbsp;<select id="select_current_folder" name="current_folder" onchange="document.getElementById('folders_list_form').submit();">
+		{folder_items}
+	</select></p>
+</form>
+<hr />
+<!-- END folder_list -->
+
+<!-- BEGIN inbox_folder_list -->
+<p>&nbsp;&nbsp;<strong>{lang_folder}</strong>: {lang_inbox}</p>
+<hr />
+<!-- END inbox_folder_list -->
+
+<!-- BEGIN folder_item -->
+		<option {option_selected} value="{folder_id}">{folder_name} {folder_unseen}</option>
+<!-- END folder_item -->
+
+<!-- BEGIN mail_list -->
+{mail_rows}
+<hr />
+<!-- END mail_list -->
+
+<!-- BEGIN mail_row -->
+<p>&nbsp;&nbsp;<strong>{from_label}</strong>: {from}<br>
+&nbsp;&nbsp;&nbsp;&nbsp;<a href="index.php?menuaction=mobile.mobilemail.show_msg&msg_number={msg_number}&msg_folder={msg_folder}">{subject}</a></p>
+<!-- END mail_row -->
+
+<!-- BEGIN mail_footer -->
+<p>&nbsp;&nbsp;{previous}{space}{pages}{next}</p>
+<!-- END mail_footer -->
+
+<!-- BEGIN space -->
+&nbsp;
+<!-- END space -->
+
+<!-- BEGIN previous -->
+<a href="{previous_href}">&lt;</a>
+<!-- END previous -->
+
+<!-- BEGIN next -->
+<a href="{next_href}">&gt;</a>
+<!-- END next -->
+
+<!-- BEGIN page_item -->
+{begin_strong}{begin_anchor}{page}{end_anchor}{end_strong}{space}
+<!-- END page_item -->
+
+<!-- BEGIN end_anchor -->
+</a>
+<!-- END end_anchor -->
+
+<!-- BEGIN begin_anchor -->
+<a href="{begin_anchor_href}">
+<!-- END begin_anchor -->
+
+<!-- BEGIN empty_list -->
+<p>&nbsp;&nbsp;{empty_message}</p>
+<!-- END empty_list -->
+
+<!-- BEGIN begin_strong -->
+<strong>
+<!-- END begin_strong -->
+
+<!-- BEGIN end_strong -->
+</strong>
+<!-- END end_strong -->
Index: /trunk/mobile/view_msg.tpl
===================================================================
--- /trunk/mobile/view_msg.tpl	(revision 435)
+++ /trunk/mobile/view_msg.tpl	(revision 435)
@@ -0,0 +1,31 @@
+<!-- BEGIN mail_header -->
+<p>&nbsp;&nbsp;<strong>{from_label}</strong>: {from}</p>
+<p>&nbsp;&nbsp;<strong>{to_label}</strong>: {to}</p>
+<p>&nbsp;&nbsp;<strong>{subject_label}</strong>: {subject}</p>
+<p>&nbsp;&nbsp;<strong>{date_label}</strong>: {date}</p>
+<br />
+<br />
+<!-- END mail_header -->
+
+<!-- BEGIN mail_body -->
+<div style="border: solid; border-width: 1px; margin: 5px; padding: 10px; width: 97%;">{body}</div></span>
+<br />
+<br />
+<!-- END mail_body -->
+
+<!-- BEGIN mail_footer -->
+<p>&nbsp;&nbsp;{begin_anchor}{link_text}{end_anchor}</p>
+<!-- END mail_footer -->
+
+<!-- BEGIN attachment_list -->
+<p>&nbsp;&nbsp;{attachment_message}</p>
+<br />
+<!-- END attachment_list -->
+
+<!-- BEGIN end_anchor -->
+</a>
+<!-- END end_anchor -->
+
+<!-- BEGIN begin_anchor -->
+<a href="{link}">
+<!-- END begin_anchor -->