Index: trunk/expressoAdmin1_2/inc/class.user.inc.php
===================================================================
--- trunk/expressoAdmin1_2/inc/class.user.inc.php	(revision 414)
+++ trunk/expressoAdmin1_2/inc/class.user.inc.php	(revision 438)
@@ -172,5 +172,5 @@
 					//retira caracteres que não são números.
 					$params['corporative_information_cpf'] = ereg_replace("[^0-9]", "", $params['corporative_information_cpf']);
-					
+					//description
 					foreach ($params as $atribute=>$value)
 					{
@@ -295,6 +295,6 @@
 			print_r($new_values);
 			echo '<br>';
-			exit;*/
-			
+			exit;
+			*/
 
 			$manager_account_lid = $_SESSION['phpgw_session']['session_lid'];
@@ -311,5 +311,5 @@
 			}
 
-			// Verifica o acesso do gerente
+			// Check manager access
 			if ($this->functions->check_acl($_SESSION['phpgw_session']['session_lid'], 'edit_users'))
 			{
@@ -757,5 +757,5 @@
 						$this->db_functions->add_user2group($gidnumber, $new_values['uidnumber']);
 						$this->ldap_functions->add_user2group($gidnumber, $user_uid);
-						$this->db_functions->write_log("inserted user to group", "$dn: $gidnumber");
+						$this->db_functions->write_log("included user to group", "uid:$user_uid -> gid:$gidnumber");
 					}
 				}
@@ -832,5 +832,5 @@
 					{
 						$this->ldap_functions->add_user2maillist($uid, $new_values['mail']);
-						$this->db_functions->write_log("inserted user to maillist","$dn: $uid");
+						$this->db_functions->write_log("included user to maillist","$uid: $dn");
 					}
 				}
Index: trunk/expressoAdmin1_2/inc/class.imap_functions.inc.php
===================================================================
--- trunk/expressoAdmin1_2/inc/class.imap_functions.inc.php	(revision 414)
+++ trunk/expressoAdmin1_2/inc/class.imap_functions.inc.php	(revision 438)
@@ -18,15 +18,15 @@
 	
 	function imap_functions(){
+		$this->functions	= new functions;
 		$this->imap_admin	= $_SESSION['phpgw_info']['expresso']['email_server']['imapAdminUsername'];
 		$this->imap_passwd	= $_SESSION['phpgw_info']['expresso']['email_server']['imapAdminPW'];
 		$this->imap_server	= $_SESSION['phpgw_info']['expresso']['email_server']['imapServer'];
 		$this->imap_port	= $_SESSION['phpgw_info']['expresso']['email_server']['imapPort'];
-		$this->imap_trashfolder		= $_SESSION['phpgw_info']['expresso']['email_server']['imapDefaultTrashFolder'];
-		$this->imap_sentfolder		= $_SESSION['phpgw_info']['expresso']['email_server']['imapDefaultSentFolder'];
-		$this->imap_draftsfolder	= $_SESSION['phpgw_info']['expresso']['email_server']['imapDefaultDraftsFolder'];
-		$this->imap_spamfolder		= $_SESSION['phpgw_info']['expresso']['email_server']['imapDefaultSpamFolder'];
+		$this->imap_trashfolder  = $_SESSION['phpgw_info']['expresso']['email_server']['imapDefaultTrashFolder']  ? $_SESSION['phpgw_info']['expresso']['email_server']['imapDefaultTrashFolder']  : str_replace("*","", $this->functions->lang("trash"));
+		$this->imap_sentfolder   = $_SESSION['phpgw_info']['expresso']['email_server']['imapDefaultSentFolder']   ? $_SESSION['phpgw_info']['expresso']['email_server']['imapDefaultSentFolder']   : str_replace("*","", $this->functions->lang("sent"));
+		$this->imap_draftsfolder = $_SESSION['phpgw_info']['expresso']['email_server']['imapDefaultDraftsFolder'] ? $_SESSION['phpgw_info']['expresso']['email_server']['imapDefaultDraftsFolder'] : str_replace("*","", $this->functions->lang("drafts"));
+		$this->imap_spamfolder   = $_SESSION['phpgw_info']['expresso']['email_server']['imapDefaultSpamFolder']   ? $_SESSION['phpgw_info']['expresso']['email_server']['imapDefaultSpamFolder']   : str_replace("*","", $this->functions->lang("spam"));
 		$this->imapDelimiter= $_SESSION['phpgw_info']['expresso']['email_server']['imapDelimiter'];
 		$this->imap 		= imap_open('{'.$this->imap_server.':'.$this->imap_port.'/novalidate-cert}', $this->imap_admin, $this->imap_passwd, OP_HALFOPEN);
-		$this->functions	= new functions;
 	}
 	
@@ -68,4 +68,5 @@
 			return $result;
 		}
+		/* Esperando correção do william (prognus) sobre a utilização do DSPAM
 		if (!empty($this->imap_sentfolder))
 		{
@@ -78,4 +79,5 @@
 			}
 		}
+		*/
 
 		if (!imap_set_quota($this->imap,"user" . $this->imapDelimiter . $uid, ($mailquota*1024))) 
Index: trunk/expressoAdmin1_2/inc/class.maillist.inc.php
===================================================================
--- trunk/expressoAdmin1_2/inc/class.maillist.inc.php	(revision 422)
+++ trunk/expressoAdmin1_2/inc/class.maillist.inc.php	(revision 438)
@@ -80,5 +80,4 @@
 			$maillist_info['loginShell']				= '/bin/false';
 			$maillist_info['mail']						= $params['mail'];
-			$maillist_info['description']				= $params['description'];
 			$maillist_info['objectClass'][0]			= 'posixAccount';
 			$maillist_info['objectClass'][1]			= 'inetOrgPerson';
@@ -104,4 +103,7 @@
 			$maillist_info['mailForwardingAddress'] = $params['mailForwardingAddress'];
 			
+			if (!empty($params['description']))
+				$maillist_info['description'] = utf8_encode($params['description']);
+			
 			$result = $this->ldap_functions->ldap_add_entry($dn, $maillist_info);
 			if (!$result['status'])
@@ -182,6 +184,9 @@
 			
 			/* Always replace description */
-			$ldap_mod_replace['description'] = utf8_encode($new_values['description']);
-			
+			if (empty($new_values['description']))
+				$ldap_mod_replace['description'] = array();
+			else
+				$ldap_mod_replace['description'] = utf8_encode($new_values['description']);
+				
 			if (count($ldap_mod_replace))
 			{
Index: trunk/expressoAdmin1_2/inc/class.group.inc.php
===================================================================
--- trunk/expressoAdmin1_2/inc/class.group.inc.php	(revision 414)
+++ trunk/expressoAdmin1_2/inc/class.group.inc.php	(revision 438)
@@ -23,5 +23,4 @@
 		var $current_config;
 		
-		
 		function group()
 		{
@@ -362,5 +361,5 @@
 						$user = $this->ldap_functions->uidnumber2uid($uidnumber);
 						$array_memberUids_add[] = $user;
-						$this->db_functions->write_log("included user to group","$dn: $user");
+						$this->db_functions->write_log("included user to group","dn:$dn -> uid:$user");
 					}
 				}
Index: trunk/expressoAdmin1_2/inc/class.ldap_functions.inc.php
===================================================================
--- trunk/expressoAdmin1_2/inc/class.ldap_functions.inc.php	(revision 430)
+++ trunk/expressoAdmin1_2/inc/class.ldap_functions.inc.php	(revision 438)
@@ -197,5 +197,5 @@
 				
 				$result['status'] = false;
-				$this->functions->lang('This LOGIN is already used by') . ":\n" . $users;
+				$result['msg'] = $this->functions->lang('this login is already used by') . ":\n" . $users;
 				return $result;
 			}
Index: trunk/expressoAdmin1_2/js/jscode/maillists.js
===================================================================
--- trunk/expressoAdmin1_2/js/jscode/maillists.js	(revision 422)
+++ trunk/expressoAdmin1_2/js/jscode/maillists.js	(revision 438)
@@ -366,5 +366,5 @@
 				alert(data.msg);
 			else
-				alert(get_lang('Email list success deleted') + '.');
+				alert(get_lang('Email list successful deleted') + '.');
 			
 			location.href="./index.php?menuaction=expressoAdmin1_2.uimaillists.list_maillists";
Index: trunk/expressoAdmin1_2/js/jscode/users.js
===================================================================
--- trunk/expressoAdmin1_2/js/jscode/users.js	(revision 422)
+++ trunk/expressoAdmin1_2/js/jscode/users.js	(revision 438)
@@ -144,5 +144,7 @@
 	{
 		if (!data.status)
+		{
 			alert(data.msg);
+		}
 		else
 		{
Index: trunk/expressoAdmin1_2/templates/default/maillists_form.tpl
===================================================================
--- trunk/expressoAdmin1_2/templates/default/maillists_form.tpl	(revision 422)
+++ trunk/expressoAdmin1_2/templates/default/maillists_form.tpl	(revision 438)
@@ -43,5 +43,5 @@
 
 							{lang_email_list_is_active}: <input type="checkbox" {accountStatus_checked} name="accountStatus"><br>
-							{lang_do_not_show_this_e-mail_list}??: <input type="checkbox" {phpgwAccountVisible_checked} name="phpgwAccountVisible"><br>
+							{lang_do_not_show_this_email_list}??: <input type="checkbox" {phpgwAccountVisible_checked} name="phpgwAccountVisible"><br>
 							
 							<b>{lang_maillist_users} (<font color=red>{user_count}</font>):</b><br>
Index: trunk/expressoAdmin1_2/templates/default/maillists_scl.tpl
===================================================================
--- trunk/expressoAdmin1_2/templates/default/maillists_scl.tpl	(revision 414)
+++ trunk/expressoAdmin1_2/templates/default/maillists_scl.tpl	(revision 438)
@@ -22,9 +22,9 @@
 					<tr>
 						<td width="25%" valign="bottom" bgcolor="#DDDDDD">
-							{lang_e-mail_list}:<br><b><span style="color:red;">{mail}<span></b><br><br>
+							{lang_email_list}:<br><b><span style="color:red;">{mail}<span></b><br><br>
 							{lang_apply_send_control_list_to_this_list}?<input type="checkbox" {accountRestrictive_checked} name="accountRestrictive"><br>
-							{lang_participants_from_the_list_can_send_e-mail_to_this_list}? <input type="checkbox" {participantCanSendMail_checked} name="participantCanSendMail"><br>
+							{lang_participants_from_the_list_can_send_email_to_this_list}? <input type="checkbox" {participantCanSendMail_checked} name="participantCanSendMail"><br>
 							<br>
-							<b>{lang_users_who_can_send_e-mail_to_this_list}:</b><br>
+							<b>{lang_users_who_can_send_email_to_this_list}:</b><br>
 							<select id="ea_select_users_SCL_Maillist" name="members[]" style="width:400px; height:200px" multiple size="13">{ea_select_users_SCL_Maillist}</select>
 						</td>