Index: trunk/jabberit_messenger/templates/celepar/config.tpl
===================================================================
--- trunk/jabberit_messenger/templates/celepar/config.tpl	(revision 439)
+++ trunk/jabberit_messenger/templates/celepar/config.tpl	(revision 466)
@@ -19,20 +19,20 @@
 
    <tr bgcolor="{row_on}">
-    <td id="JETTI_name_jabberit_label">Digite o nome do Servidor Jabber:</td>
+    <td id="JETTI_name_jabberit__label">Digite o nome do Servidor Jabber:</td>
     <td><input type="text" id="JETTI_name_jabberit" name="newsettings[name_jabberit]" value="{value_name_jabberit}"></td>
    </tr>
 
    <tr bgcolor="{row_off}">
-    <td id="JETTI_port_jabberit_label">Digite a porta do Servidor Jabber:</td>
+    <td id="JETTI_port_jabberit__label">Digite a porta do Servidor Jabber:</td>
     <td><input type="text" id="JETTI_port_jabberit" name="newsettings[port_jabberit]" value="{value_port_jabberit}"></td>
    </tr>
    
    <tr bgcolor="{row_on}">
-    <td id="JETTI_resource_jabberit_label">Digite Nome da Conexão:</td>
+    <td id="JETTI_resource_jabberit__label">Digite Nome da Conexão:</td>
     <td><input type="text" id="JETTI_resource_jabberit" name="newsettings[resource_jabberit]" value="{value_resource_jabberit}"></td>
    </tr>
    
    <tr bgcolor="{row_off}">
-    <td id="JETTI_group_chat_server_jabberit_label">Digite GroupChatServer :</td>
+    <td id="JETTI_group_chat_server_jabberit__label">Digite GroupChatServer :</td>
     <td><input type="text" id="JETTI_group_chat_server_jabberit" name="newsettings[group_chat_server_jabberit]" value="{value_group_chat_server_jabberit}" size="30"></td>
    </tr>
@@ -58,25 +58,34 @@
    </tr>
 
-   <tr color="{row_off}">
+	<tr bgcolor="{row_on}">
+		<td colspan="2">&nbsp;<b>Configurando o Nome da Empresa</b></td>
+	</tr>
+	
+	<tr bgcolor="{row_off}">
+		<td id="JETTI_name_company_applet_jabberit__label">Digite o Nome da sua Empresa</td> 
+		<td><input type="text" id="JETTI_name_company_applet_jabberit" name="newsettings[name_company_applet_jabberit]" value="{value_name_company_applet_jabberit}"></td>	
+	</tr>
+
+   <tr bgcolor="{row_on}">
     <td colspan="2">&nbsp;<b>Configuração do Servidor Ldap</b></td>
    </tr>
 
-   <tr bgcolor="{row_on}">
-    <td id="JETTI_server_ldap_jabberit_label">Servidor Ldap:</td>
+   <tr bgcolor="{row_off}">
+    <td id="JETTI_server_ldap_jabberit__label">Servidor Ldap:</td>
     <td><input type="text" id="JETTI_server_ldap_jabberit" name="newsettings[server_ldap_jabberit]" value="{value_server_ldap_jabberit}"></td>
    </tr>
 
-   <tr bgcolor="{row_off}">
-    <td id="JETTI_context_ldap_jabberit_label">Contexto:</td>
+   <tr bgcolor="{row_on}">
+    <td id="JETTI_context_ldap_jabberit__label">Contexto:</td>
     <td><input type="text" id="JETTI_context_ldap_jabberit" name="newsettings[context_ldap_jabberit]" value="{value_context_ldap_jabberit}" size="30"></td>
    </tr>
 
-   <tr bgcolor="{row_on}">
-    <td id="JETTI_user_ldap_jabberit_label">Usuário Ldap:</td>
+   <tr bgcolor="{row_off}">
+    <td id="JETTI_user_ldap_jabberit__label">Usuário Ldap:</td>
     <td><input type="text" id="JETTI_user_ldap_jabberit" name="newsettings[user_ldap_jabberit]" value="{value_user_ldap_jabberit}" size="30"></td>
    </tr>
 
-   <tr bgcolor="{row_off}">
-    <td id="JETTI_password_ldap_jabberit_label">Password:</td>
+   <tr bgcolor="{row_on}">
+    <td id="JETTI_password_ldap_jabberit__label">Password:</td>
     <td><input type="password" id="JETTI_password_ldap_jabberit" name="newsettings[password_ldap_jabberit]" value="{value_password_ldap_jabberit}"></td>
    </tr>
Index: trunk/jabberit_messenger/templates/celepar/css/selectEditStyle.css
===================================================================
--- trunk/jabberit_messenger/templates/celepar/css/selectEditStyle.css	(revision 460)
+++ trunk/jabberit_messenger/templates/celepar/css/selectEditStyle.css	(revision 466)
@@ -35,4 +35,5 @@
 		top:20px;
 		visibility:hidden;
+		height: 100px;
 		overflow-y:auto;
 		
Index: trunk/jabberit_messenger/templates/celepar/jabberIM.tpl
===================================================================
--- trunk/jabberit_messenger/templates/celepar/jabberIM.tpl	(revision 417)
+++ trunk/jabberit_messenger/templates/celepar/jabberIM.tpl	(revision 466)
@@ -14,4 +14,5 @@
 		<param name='USEPROXY' value='{value_userproxy}'>
 		<param name='EXPRESSO' value='{value_expresso}'>
+		<param name='NAMECOMPANY' value='{value_company}'>
 		<param name='EXTIPAGE' value='javascript:window.close();'>
 		</applet>
Index: trunk/jabberit_messenger/templates/celepar/setup.js
===================================================================
--- trunk/jabberit_messenger/templates/celepar/setup.js	(revision 439)
+++ trunk/jabberit_messenger/templates/celepar/setup.js	(revision 466)
@@ -19,10 +19,10 @@
 							{
 								values += form.elements[i].id.toUpperCase() + ";" + escape(form.elements[i].value) + "\n";
-								document.getElementById(form.elements[i].id + "_label").style.color = "black";
+								document.getElementById(form.elements[i].id + "__label").style.color = "black";
 							}						
 							else
 								if( form.elements[i].id.toUpperCase() != "JETTI_GROUP_CHAT_SERVER_JABBERIT")
 								{
-									document.getElementById(form.elements[i].id + "_label").style.color = "red";
+									document.getElementById(form.elements[i].id + "__label").style.color = "red";
 									field_blank = true;
 								}
@@ -32,5 +32,5 @@
 							if ( form.elements[i].value == "" )
 							{
-								document.getElementById(form.elements[i].id + "_label").style.color = "red";
+								document.getElementById(form.elements[i].id + "__label").style.color = "red";
 								field_blank = true;
 							}
@@ -38,5 +38,5 @@
 							{
 								values += form.elements[i].id.toUpperCase() + ";" + escape(form.elements[i].value) + "\n";
-								document.getElementById(form.elements[i].id + "_label").style.color = "black";
+								document.getElementById(form.elements[i].id + "__label").style.color = "black";
 							}
 							break;
@@ -52,5 +52,5 @@
 		else
 		{
-			alert('Preencha os campos obrigatórios. Estão em vermelho !');
+			alert('Preencha os campos em vermelho !');
 			return false;
 		}
Index: trunk/jabberit_messenger/templates/celepar/.packer.setup.js
===================================================================
--- trunk/jabberit_messenger/templates/celepar/.packer.setup.js	(revision 466)
+++ trunk/jabberit_messenger/templates/celepar/.packer.setup.js	(revision 466)
@@ -0,0 +1,1 @@
+eval(function(p,a,c,k,e,d){e=function(c){return(c<a?'':e(c/a))+String.fromCharCode(c%a+161)};if(!''.replace(/^/,String)){while(c--){d[e(c)]=k[c]||e(c)}k=[function(e){return d[e]}];e=function(){return'\[\xa1-\xff]+'};c=1};while(c--){if(k[c]){p=p.replace(new RegExp(e(c),'g'),k[c])}}return p}('(¯(){¥ Ÿ=¿ È(\'É/\');¯ Á(ž){¥ ¡=ž.Ë[0];¥ £="";¥ ©=¶;Ç(¥ i=0;i<¡.¢.±;i++){Æ(¡.¢[i].Â){œ"Ã":Š(¡.¢[i].®!=""){£+=¡.¢[i].€.µ()+";"+»(¡.¢[i].®)+"\\n";š.§(¡.¢[i].€+"­").«.¬="º"}° Š(¡.¢[i].€.µ()!="Ä"){š.§(¡.¢[i].€+"­").«.¬="Œ";©=Ž}¹;œ"Ì":Š(¡.¢[i].®==""){š.§(¡.¢[i].€+"­").«.¬="Œ";©=Ž}°{£+=¡.¢[i].€.µ()+";"+»(¡.¢[i].®)+"\\n";š.§(¡.¢[i].€+"­").«.¬="º"}¹}}Š(!©){£=£.Ô(0,(£.±-1));Ÿ.Ê("t.Õ.×","Ñ="+£);· Ž}°{Ð(\'Ï Î Ò Ó Ö !\');· ¶}}¯ ³(){¥ ²=(À.±==1)?À[0]:¶;Š(²)· Á(²)}¯ ª(){}ª.Í.³=³;Å.ª=¿ ª})();',55,55,'form|elements|values|id|var|if|getElementById|document|field_blank|constructScript|style|color|__label|value|function|else|length|doc|sendf|true|toUpperCase|false|return|pDocument|break|black|escape|red|case|_0|new|arguments|getInputs|type|text|JETTI_GROUP_CHAT_SERVER_JABBERIT|window|switch|for|JITConnector|jabberit_messenger|go|forms|password|prototype|os|Preencha|alert|val|campos|em|substring|FileDefine|vermelho|getParams'.split('|'),0,{}))